## org.eclipse.ocl.internal.evaluation
Class IterationTemplateReject<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

    java.lang.Object
      org.eclipse.ocl.internal.evaluation.IterationTemplateReject<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

    public class IterationTemplateReject<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

extends Object

Method Summary
`protected void` `advanceIterators(List<Variable<C,PM>> iterators, Iterator<?>[] javaIters, Collection<?> c, int curr)`
`Object` `evaluate(Collection<?> coll, List<Variable<C,PM>> iterators, OCLExpression<C> body, String resultName)`
`protected Object` `evaluateResult(List<Variable<C,PM>> iterators, String resultName, Object body)`
`EvaluationEnvironment<C,O,P,CLS,E>` `getEvalEnvironment()`
`EvaluationVisitor<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>` `getEvaluationVisitor()`

`static

`<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> org.eclipse.ocl.internal.evaluation.IterationTemplate<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>`

`

`getInstance(EvaluationVisitor<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> v)`

`protected int` `getNextUnfinishedIterator(Iterator<?>[] javaIters)`
`protected Object` `getOclInvalid()`
`protected OCLStandardLibrary<C>` `getOCLStandardLibrary()`
`protected void` `initializeIterators(List<Variable<C,PM>> iterators, Iterator<?>[] javaIters, Collection<?> c)`
`boolean` `isDone()`
`protected boolean` `moreToGo(int curr, int numIters)`
`protected void` `removeIterators(List<Variable<C,PM>> iterators)`
`void` `setDone(boolean done)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static <PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> org.eclipse.ocl.internal.evaluation.IterationTemplate<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> getInstance(EvaluationVisitor<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> v)

### evaluateResult

    protected Object evaluateResult(List<Variable<C,PM>> iterators,
                                    String resultName,
                                    Object body)

### getEvaluationVisitor

    public EvaluationVisitor<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> getEvaluationVisitor()

### getEvalEnvironment

    public EvaluationEnvironment<C,O,P,CLS,E> getEvalEnvironment()

### setDone

    public final void setDone(boolean done)

### isDone

    public final boolean isDone()

### evaluate

    public Object evaluate(Collection<?> coll,
                           List<Variable<C,PM>> iterators,
                           OCLExpression<C> body,
                           String resultName)

### initializeIterators

    protected void initializeIterators(List<Variable<C,PM>> iterators,
                                       Iterator<?>[] javaIters,
                                       Collection<?> c)

### getNextUnfinishedIterator

    protected int getNextUnfinishedIterator(Iterator<?>[] javaIters)

### advanceIterators

    protected void advanceIterators(List<Variable<C,PM>> iterators,
                                    Iterator<?>[] javaIters,
                                    Collection<?> c,
                                    int curr)

### removeIterators

    protected void removeIterators(List<Variable<C,PM>> iterators)

### moreToGo

    protected boolean moreToGo(int curr,
                               int numIters)

### getOCLStandardLibrary

    protected OCLStandardLibrary<C> getOCLStandardLibrary()

### getOclInvalid

    protected Object getOclInvalid()

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.